<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:dk="kelis.fr:dokiel" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="table sp xalan office dk style svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::dk:stepList)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:stepList">
		<xsl:for-each select="sp:intro"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNc"/><xsl:value-of select="resultatAgent(concat($vContentAgtNc, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:desc"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:variable select="concat($vContentAgt, '_AstepList')" name="vContentAgtN12"/><xsl:value-of select="resultatAgent(concat($vContentAgtN12, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:step"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN19"/><xsl:value-of select="resultatAgent(concat($vContentAgtN19, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:comment"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN1f"/><xsl:value-of select="resultatAgent(concat($vContentAgtN1f, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:alt"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<scOd:ifNotNull xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_stepList_5f__20__3e__20_altTi">
				Alternative(s) :
			</text:p></scOd:ifNotNull>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN2c"/><xsl:value-of select="resultatAgent(concat($vContentAgtN2c, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
	</xsl:template><xsl:template match="*"/></xsl:stylesheet>