<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:dk="kelis.fr:dokiel" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="table sp xalan office dk style svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::dk:txtRes)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:txtRes">
		<xsl:variable name="vLabelContent"/><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContent)))&gt;0, normalize-space(string($vLabelContent)), 'Section')}" text:style-name="Sect1"><text:p text:style-name="odNoDisplay"> </text:p><xsl:choose>
				<xsl:when test="dk:txtResM/sp:pos='rgt'"><xsl:for-each select="sp:txtBk"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
						<text:p text:style-name="odNoDisplay"><draw:frame xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" svg:height="1cm" svg:width="7.927cm" svg:y="-0.101cm" svg:x="0" draw:z-index="49" text:anchor-type="paragraph" draw:name="frRight" draw:style-name="fr14"><draw:text-box svg:height="1cm" svg:width="7.927cm" fo:min-height="0.01cm"><xsl:apply-templates/></draw:text-box></draw:frame></text:p>
					</xsl:for-each><xsl:for-each select="sp:imgBk"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
						<xsl:variable select="concat($vContentAgt, '_Aright')" name="vContentAgtN22"/><xsl:value-of select="resultatAgent(concat($vContentAgtN22, '/getContent'))" disable-output-escaping="yes"/>
					</xsl:for-each><xsl:for-each select="sp:txt"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
						<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN29"/><xsl:value-of select="resultatAgent(concat($vContentAgtN29, '/getContent'))" disable-output-escaping="yes"/>
					</xsl:for-each></xsl:when>
				<xsl:otherwise><xsl:for-each select="sp:txtBk"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
						<text:p text:style-name="odNoDisplay"><draw:frame xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" svg:height="1cm" svg:width="8.11cm" svg:y="0cm" svg:x="0cm" draw:z-index="32" text:anchor-type="paragraph" draw:name="frLeft" draw:style-name="fr15"><draw:text-box svg:height="1cm" svg:width="8.11cm" fo:min-height="0.01cm"><xsl:apply-templates/></draw:text-box></draw:frame></text:p>
					</xsl:for-each><xsl:for-each select="sp:imgBk"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
						<xsl:variable select="concat($vContentAgt, '_Aleft')" name="vContentAgtN3e"/><xsl:value-of select="resultatAgent(concat($vContentAgtN3e, '/getContent'))" disable-output-escaping="yes"/>
					</xsl:for-each><xsl:for-each select="sp:txt"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
						<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN45"/><xsl:value-of select="resultatAgent(concat($vContentAgtN45, '/getContent'))" disable-output-escaping="yes"/>
					</xsl:for-each></xsl:otherwise>
			</xsl:choose><text:p text:style-name="odNoDisplayNoKeep"> </text:p></text:section>
	</xsl:template><xsl:template match="*"/></xsl:stylesheet>