<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:dk="kelis.fr:dokiel" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="java sp dk " >

<xsl:param name="vSpace"/>
<xsl:param name="vCode"/>

<xsl:template match="/sc:item">
<xsl:apply-templates select="dk:odRoot"/>
</xsl:template>

<xsl:template match="sc:item/dk:odRoot">
	
<attrStr nm="sc3modele">dk_odRoot</attrStr>
<xsl:apply-templates/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:odRoot/sp:guide[@sc:refUri]">
<attrRef nm="dk_userGuide " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:odRoot/sp:section[@sc:refUri]">
<attrRef nm="dk_section " refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:odRootM/sp:img[@sc:refUri]">
<attrRef nm="sfile_gif sfile_jpg_jpeg sfile_png " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:odRootM/sp:editorLogo[@sc:refUri]">
<attrRef nm="sfile_gif sfile_jpg_jpeg sfile_png " refUri="{@sc:refUri}"/>
</xsl:template>

				
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:textSimple//sc:inlineImg[@role='iconButton']">
<attrRef nm="sfile_icon.png_icon.gif " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:textSimple//sc:inlineImg[@role='area']">
<attrRef nm="sfile_icon.png_icon.gif " refUri="{@sc:refUri}"/>
</xsl:template>




<xsl:template match="text()|@*"/>
</xsl:stylesheet>