<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:dk="kelis.fr:dokiel" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="table sp xalan office dk style svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::dk:button)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:button">
		<xsl:for-each select="sp:img"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNc"/><xsl:value-of select="resultatAgent(concat($vContentAgtNc, '/getContent'))" disable-output-escaping="yes"/>
			<scOd:ifNotNull xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_button_5f__20__3e__20_resTi">
				<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
			</text:p></scOd:ifNotNull>
		</xsl:for-each>
		<xsl:for-each select="sp:alt"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<scOd:ifNotNull xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_button_5f__20__3e__20_alt">
				<xsl:choose><xsl:when test="boolean('true')">Equivalents :</xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
			</text:p></scOd:ifNotNull>
			<xsl:variable name="vLabelContent"/><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContent)))&gt;0, normalize-space(string($vLabelContent)), 'Section')}" text:style-name="Sect5"><text:p text:style-name="odNoDisplay"> </text:p><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN2a"/><xsl:value-of select="resultatAgent(concat($vContentAgtN2a, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="odNoDisplayNoKeep"> </text:p></text:section>
		</xsl:for-each>
		<xsl:for-each select="sp:action"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN31"/><xsl:value-of select="resultatAgent(concat($vContentAgtN31, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:batch"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N37_', generate-id()))"/>
			<xsl:variable select="concat($vPartAgt, '_meta', '')" name="vPartAgtN44"/><xsl:value-of select="resultatAgent(concat($vPartAgtN44, '/getContent'))" disable-output-escaping="yes"/>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN46"/><xsl:value-of select="resultatAgent(concat($vContentAgtN46, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:window"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
			<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N4c_', generate-id()))"/>
			<xsl:variable select="concat($vPartAgt, '_meta', '')" name="vPartAgtN59"/><xsl:value-of select="resultatAgent(concat($vPartAgtN59, '/getContent'))" disable-output-escaping="yes"/>
			<xsl:variable select="concat($vContentAgt, '_Alink')" name="vContentAgtN5b"/><xsl:value-of select="resultatAgent(concat($vContentAgtN5b, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
	</xsl:template><xsl:template match="*"/></xsl:stylesheet>