<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:dk="kelis.fr:dokiel" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns="" exclude-result-prefixes="table sp xalan office dk style svg sl fo xlink scOd text sc  " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::dk:content)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:content">
		<xsl:apply-templates mode="N9"/>
	</xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N9" match="*"><scOd:error xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" text="Element non traité" phase="compilation" type="info">L'élément "<xsl:value-of select="name()"/>" n'a pas été déclaré. Il sera donc ignoré.</scOd:error></xsl:template><!--# def--><xsl:template mode="N9" match="sp:def"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNe"/><xsl:value-of select="resultatAgent(concat($vContentAgtNe, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><!--# infobloc--><xsl:template mode="N9" match="sp:infobloc"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_content_5f__20__3e__20_spaceBeforePb">
					
				</text:p>
				<scOd:ifNotNull xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_content_5f__20__3e__20_blocTi">
					<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
				</text:p></scOd:ifNotNull>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN24"/><xsl:value-of select="resultatAgent(concat($vContentAgtN24, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><!--# op--><xsl:template mode="N9" match="sp:op"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<scOd:ifNotNull xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_content_5f__20__3e__20_opTi">
					<text:span text:style-name="dk_5f_content_5f__20__3e__20_prefix_20__3e__20_inline">
						procédure : 
					</text:span>
					<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))"/></xsl:when><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')">[non titré]</xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
				</text:p></scOd:ifNotNull>
				<xsl:variable name="vLabelContent"/><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContent)))&gt;0, normalize-space(string($vLabelContent)), 'Section')}" text:style-name="Sect4"><text:p text:style-name="odNoDisplay"> </text:p><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN44"/><xsl:value-of select="resultatAgent(concat($vContentAgtN44, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="odNoDisplayNoKeep"> </text:p></text:section>
			</xsl:template><!--# window--><xsl:template mode="N9" match="sp:window"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N4b_', generate-id()))"/>
				<xsl:variable name="vLabelContent"/><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContent)))&gt;0, normalize-space(string($vLabelContent)), 'Section')}" text:style-name="Sect5"><text:p text:style-name="odNoDisplay"> </text:p><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN5d"/><xsl:value-of select="resultatAgent(concat($vContentAgtN5d, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="odNoDisplayNoKeep"> </text:p></text:section>
			</xsl:template><!--# warning--><xsl:template mode="N9" match="sp:warning"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_content_5f__20__3e__20_spaceBeforePb">
					
				</text:p>
				<xsl:variable name="vLabelContent">
						
					</xsl:variable><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContent)))&gt;0, normalize-space(string($vLabelContent)), 'Section')}" text:style-name="Sect1"><text:p text:style-name="odNoDisplay"> </text:p><scOd:ifNotNull><text:p text:style-name="dk_5f_content_5f__20__3e__20_blocTi">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</text:p></scOd:ifNotNull><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN7e"/><xsl:value-of select="resultatAgent(concat($vContentAgtN7e, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="odNoDisplayNoKeep"> </text:p></text:section>
			</xsl:template><!--# advice--><xsl:template mode="N9" match="sp:advice"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_content_5f__20__3e__20_spaceBeforePb">
					
				</text:p>
				<xsl:variable name="vLabelContent">
						
					</xsl:variable><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContent)))&gt;0, normalize-space(string($vLabelContent)), 'Section')}" text:style-name="Sect1"><text:p text:style-name="odNoDisplay"> </text:p><scOd:ifNotNull><text:p text:style-name="dk_5f_content_5f__20__3e__20_blocTi">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</text:p></scOd:ifNotNull><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN9f"/><xsl:value-of select="resultatAgent(concat($vContentAgtN9f, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="odNoDisplayNoKeep"> </text:p></text:section>
			</xsl:template><!--# tip--><xsl:template mode="N9" match="sp:tip"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_content_5f__20__3e__20_spaceBeforePb">
					
				</text:p>
				<xsl:variable name="vLabelContent">
						
					</xsl:variable><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContent)))&gt;0, normalize-space(string($vLabelContent)), 'Section')}" text:style-name="Sect1"><text:p text:style-name="odNoDisplay"> </text:p><scOd:ifNotNull><text:p text:style-name="dk_5f_content_5f__20__3e__20_blocTi">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</text:p></scOd:ifNotNull><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNc0"/><xsl:value-of select="resultatAgent(concat($vContentAgtNc0, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="odNoDisplayNoKeep"> </text:p></text:section>
			</xsl:template><!--# example--><xsl:template mode="N9" match="sp:example"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_content_5f__20__3e__20_spaceBeforePb">
					
				</text:p>
				<xsl:variable name="vLabelContent">
						
					</xsl:variable><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContent)))&gt;0, normalize-space(string($vLabelContent)), 'Section')}" text:style-name="Sect1"><text:p text:style-name="odNoDisplay"> </text:p><scOd:ifNotNull><text:p text:style-name="dk_5f_content_5f__20__3e__20_blocTi">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</text:p></scOd:ifNotNull><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNe1"/><xsl:value-of select="resultatAgent(concat($vContentAgtNe1, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="odNoDisplayNoKeep"> </text:p></text:section>
			</xsl:template><!--# note--><xsl:template mode="N9" match="sp:note"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_content_5f__20__3e__20_spaceBeforePb">
					
				</text:p>
				<xsl:variable name="vLabelContent">
						
					</xsl:variable><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContent)))&gt;0, normalize-space(string($vLabelContent)), 'Section')}" text:style-name="Sect1"><text:p text:style-name="odNoDisplay"> </text:p><scOd:ifNotNull><text:p text:style-name="dk_5f_content_5f__20__3e__20_blocTi">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</text:p></scOd:ifNotNull><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN102"/><xsl:value-of select="resultatAgent(concat($vContentAgtN102, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="odNoDisplayNoKeep"> </text:p></text:section>
			</xsl:template><!--# legal--><xsl:template mode="N9" match="sp:legal"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_content_5f__20__3e__20_spaceBeforePb">
					
				</text:p>
				<xsl:variable name="vLabelContent">
						
					</xsl:variable><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContent)))&gt;0, normalize-space(string($vLabelContent)), 'Section')}" text:style-name="Sect1"><text:p text:style-name="odNoDisplay"> </text:p><scOd:ifNotNull><text:p text:style-name="dk_5f_content_5f__20__3e__20_blocTi">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</text:p></scOd:ifNotNull><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN123"/><xsl:value-of select="resultatAgent(concat($vContentAgtN123, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="odNoDisplayNoKeep"> </text:p></text:section>
			</xsl:template><!--# complement--><xsl:template mode="N9" match="sp:complement"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_content_5f__20__3e__20_spaceBeforePb">
					
				</text:p>
				<xsl:variable name="vLabelContent">
						
					</xsl:variable><text:section xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:name="{si(string-length(normalize-space(string($vLabelContent)))&gt;0, normalize-space(string($vLabelContent)), 'Section')}" text:style-name="Sect1"><text:p text:style-name="odNoDisplay"> </text:p><scOd:ifNotNull><text:p text:style-name="dk_5f_content_5f__20__3e__20_blocTi">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</text:p></scOd:ifNotNull><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN144"/><xsl:value-of select="resultatAgent(concat($vContentAgtN144, '/getContent'))" disable-output-escaping="yes"/><text:p text:style-name="odNoDisplayNoKeep"> </text:p></text:section>
			</xsl:template><!--# part--><xsl:template mode="N9" match="sp:part"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<scOd:ifNotNull><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="dk_5f_content_5f__20__3e__20_partTi">
					<xsl:value-of select="si(count(../sp:part)&gt;1, concat(count(preceding-sibling::sp:part) + 1, ' - '))"/>
					<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdNode(.), '_meta/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')">[partie non titrée]</xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
				</text:p></scOd:ifNotNull>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN15d"/><xsl:value-of select="resultatAgent(concat($vContentAgtN15d, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><!--# seeAlso--><xsl:template mode="N9" match="sp:seeAlso"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:variable select="concat('@', getIdNode(.))" name="vPartAgt"/>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN163"/><xsl:value-of select="resultatAgent(concat($vContentAgtN163, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><xsl:template match="*"/></xsl:stylesheet>