<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:dk="kelis.fr:dokiel" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="java sp dk " >

<xsl:param name="vSpace"/>
<xsl:param name="vCode"/>

<xsl:template match="/sc:item">
<xsl:apply-templates select="dk:stepList"/>
</xsl:template>

<xsl:template match="sc:item/dk:stepList">
	<title><xsl:value-of select="dk:sTitle/sc:fullTitle"/></title>
<attrStr nm="sc3modele">dk_stepList</attrStr>
<xsl:apply-templates/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:stepList/sp:overview[@sc:refUri]">
<attrRef nm="sfile_scr.swf " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:stepList/sp:alt[@sc:refUri]">
<attrRef nm="dk_stepList " refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:flowAll/sp:img[@sc:refUri]">
<attrRef nm="sfile_gif sfile_jpg_jpeg sfile_png " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:flowAll/sp:screenShot[@sc:refUri]">
<attrRef nm="sfile_scr.png_scr.gif " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:flowAll/sp:screenMovie[@sc:refUri]">
<attrRef nm="sfile_scr.swf " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:flowAll/sp:table[@sc:refUri]">
<attrRef nm="sfile_ods " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:flowAll/sp:graphic[@sc:refUri]">
<attrRef nm="sfile_odg " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:flowAll/sp:doc[@sc:refUri]">
<attrRef nm="sfile_pdf " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:txtRes/sp:imgBk[@sc:refUri]">
<attrRef nm="sfile_gif sfile_jpg_jpeg sfile_png sfile_odg sfile_icon.png_icon.gif sfile_scr.png_scr.gif " refUri="{@sc:refUri}"/>
</xsl:template>


				
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:text//sc:uLink[@role='def']">
<attrRef nm="dk_definition " refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:text//sc:uLink[@role='ref']">
<attrRef nm="dk_ref " refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:text//sc:inlineImg[@role='iconButton']">
<attrRef nm="sfile_icon.png_icon.gif " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:text//sc:inlineImg[@role='area']">
<attrRef nm="sfile_icon.png_icon.gif sfile_scr.png_scr.gif " refUri="{@sc:refUri}"/>
</xsl:template>



				
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:para//sc:inlineImg[@role='iconButton']">
<attrRef nm="sfile_icon.png_icon.gif " refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:para//sc:inlineImg[@role='area']">
<attrRef nm="sfile_icon.png_icon.gif " refUri="{@sc:refUri}"/>
</xsl:template>



<xsl:template match="text()|@*"/>
</xsl:stylesheet>